aboutsummaryrefslogtreecommitdiffstats
path: root/contrib/checksums.sh
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/checksums.sh')
-rwxr-xr-xcontrib/checksums.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/contrib/checksums.sh b/contrib/checksums.sh
new file mode 100755
index 0000000..b472b49
--- /dev/null
+++ b/contrib/checksums.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+# generate a checksums file as used by $ScriptInstallUpdate
+
+set -e
+
+md5sum $(find -name '*.rsc' | sort) | \
+ sed -e "s| \./||" -e 's|.rsc$||' | \
+ jq --raw-input --null-input '[ inputs | split (" ") | { (.[1]): (.[0]) }] | add' > 'checksums.json'